summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-09-12 03:20:07 +0300
committerAndrei Karas <akaras@inbox.ru>2016-09-12 03:20:07 +0300
commit7008ad9cb7c1334ab43dc85b57b9f2b560b1dd19 (patch)
treec98bd58fdd3a1417695032a0269fbf4e1632a41b /ci
parent460822ea6cef840e0f478918547a806b231c3dc6 (diff)
downloadtools-7008ad9cb7c1334ab43dc85b57b9f2b560b1dd19.tar.gz
tools-7008ad9cb7c1334ab43dc85b57b9f2b560b1dd19.tar.bz2
tools-7008ad9cb7c1334ab43dc85b57b9f2b560b1dd19.tar.xz
tools-7008ad9cb7c1334ab43dc85b57b9f2b560b1dd19.zip
Add basic ci script with pyflakes.
Diffstat (limited to 'ci')
-rwxr-xr-xci/install.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/ci/install.sh b/ci/install.sh
new file mode 100755
index 0000000..409ff81
--- /dev/null
+++ b/ci/install.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+function aptget_update {
+ apt-get update
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ apt-get update
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ apt-get update
+ fi
+ fi
+}
+
+function aptget_install {
+ apt-get -y -qq install $*
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ apt-get -y -qq install $*
+ if [ "$?" != 0 ]; then
+ sleep 2s
+ apt-get -y -qq install $*
+ fi
+ fi
+}
+
+aptget_update
+aptget_install $*